Users
Update username
PATCH
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
application/json- body
username?stringMatch
^[A-Za-z0-9][A-Za-z0-9._-]{1,28}[A-Za-z0-9]$Length
3 <= length <= 30confirmAvatar?trueValue in
trueremoveAvatar?trueValue in
true200
application/json- response
id*stringusername*stringavatarUrl*stringexternalId*stringisLocationBlocked*booleanaccounts*array<>wallets*array<>venueAccounts*array<>otherIdentities?array<>curl -X PATCH 'https://api.t.sufwankhalid.com/users/me' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "username": "string", "avatarUrl": "string", "externalId": "string", "isLocationBlocked": true, "accounts": [ { "type": "oauth", "provider": "wallet", "providerAccountId": "string" } ], "wallets": [ { "chain": "evm", "address": "string" } ], "venueAccounts": [ { "id": "string", "venue": "kalshi", "status": "string", "kycStatus": "string" } ], "otherIdentities": [ { "provider": "email" } ]}